# Generated by Django 5.1.2 on 2024-12-04 17:47

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Asset',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('cesmd', models.CharField(blank=True, max_length=7, null=True)),
                ('calid', models.CharField(max_length=15)),
                ('name', models.CharField(blank=True, max_length=100)),
                ('is_complete', models.BooleanField(help_text='Is the asset a complete digital twin')),
                ('nbi_data', models.JSONField(blank=True, default=dict)),
                ('cgs_data', models.JSONField(blank=True, default=list)),
                ('ground_sensors', models.CharField(blank=True, help_text='Comma-separated list of ground channel numbers', max_length=200, validators=[django.core.validators.int_list_validator])),
                ('bridge_sensors', models.CharField(blank=True, help_text='Comma-separated list of bridge channel numbers', max_length=200, validators=[django.core.validators.int_list_validator])),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='Corridor',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20)),
                ('route', models.CharField(blank=True, max_length=100)),
                ('assets', models.ManyToManyField(related_name='corridors', to='irie_apps_inventory.asset')),
            ],
        ),
    ]
